[core]
        editor = vim
        quotepath = false
[alias]
        st = status
        latest = for-each-ref --sort=-committerdate --format='%(committerdate:short) %(refname:short)'
        lg-nice  = log --graph --decorate --pretty=oneline --abbrev-commit
        lg = log --color --graph --pretty=format:'%Cred%h%Creset -%C(yellow)%d%Creset %s %Cgreen(%cr) %C(bold blue)<%an>%Creset' --abbrev-commit
        graph = log --graph -10 --branches --remotes --tags  --format=format:'%Cgreen%h %Creset• %<(75,trunc)%s (%cN, %cr) %Cred%d' --date-order
        precommit = diff --cached --diff-algorithm=minimal -w
        branches = branch -a
        tags = tag
        stashes = stash list
        remotes = remote -v update
        unstage = reset -q HEAD --
        discard = checkout --
        uncommit = reset --mixed HEAD~
        amend = commit --amend
        unmerged = diff --name-only --diff-filter=U
    	alias = config --get-regexp ^alias\\.
[push]
        default = simple
[color]
	ui = true
[user]
	name = chawley (derry)
	email = chawley@planethawleywood.com
